Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Help to install Django. When I extract the file the contents have been just dumped all over my Home folder and when I try to either import django or sudo install it I get errors.

share|improve this question

2 Answers 2

up vote 5 down vote accepted

Unless you need some cutting-edge newest version of Django, I would recommend installing it from Ubuntu's software repositories instead. From a terminal you can do this by typing

sudo apt-get install python-django

The most popular free open source software needed is available in Ubuntu's software repositories so that you won't have to do installations manually.

If you want to list all the subpackages of django that are available, you may use the command

apt-cache search django python

If you prefer not to use the terminal for installation, you can open up Ubuntu Software Centre and search for the packages there. You might have to check "Show technical items" in the bottom left corner for some packages.

share|improve this answer
    
ofcourse it worked, thanks Dragly –  lightning Mar 16 '13 at 23:24

An incredibly cool way to install django is this way:

sudo apt-get install python python3 python-pip
sudo pip install django
share|improve this answer
    
Hello kevlarsen. What does "cool" mean in this context ? Is it better than the accepted solution, and why ? This is a genuine question because I'm aware that sometimes packaged version is not the best choice, sometimes having part of the software installed via apt and part installed via language-specific tools may yield some problems. Thank you. –  Stéphane Gourichon Aug 26 at 18:02
1  
That is a good question. This person answers it better than me. askubuntu.com/questions/431780/apt-get-install-vs-pip-install Basically, I believe languages and package managers should be installed by apt-get, in order for best compatibility with the OS, but packages for languages should be installed by language-specific package managers to get latest versions and breadth of choices. I use RVM for Ruby, NPM for Node.JS, and PIP for Python –  kevlarsen Dec 5 at 12:14

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.